#
# spec file for package rubygem-pg
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-pg
Version:        0.18.3
Release:        3.8
%define mod_name pg
%define mod_full_name %{mod_name}-%{version}
# MANUAL
BuildRequires:  openssl-devel
BuildRequires:  postgresql-devel
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
Url:            https://bitbucket.org/ged/ruby-pg
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-pg-rpmlintrc
Source2:        gem2rpm.yml
# MANUAL
Patch0:         rubygem-pg-0.17.1_shebang.patch
# /MANUAL
Summary:        Pg is the Ruby interface to the PostgreSQL RDBMS
License:        BSD-2-Clause and Ruby
Group:          Development/Languages/Ruby

%description
Pg is the Ruby interface to the {PostgreSQL
RDBMS}[http://www.postgresql.org/].
It works with {PostgreSQL 8.4 and
later}[http://www.postgresql.org/support/versioning/].
A small example usage:
#!/usr/bin/env ruby
require 'pg'
# Output a table of current connections to the DB
conn = PG.connect( dbname: 'sales' )
conn.exec( "SELECT * FROM pg_stat_activity" ) do |result|
puts "     PID | User             | Query"
result.each do |row|
puts " %7d | %-16s | %s " %
row.values_at('procpid', 'usename', 'current_query')
end
end.

%prep
%gem_unpack
%patch0 -p0
%gem_build

%build

%install
%gem_install \
  --doc-files="ChangeLog History.rdoc LICENSE README.rdoc" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Fri Sep  4 2015 coolo@suse.com
- updated to version 0.18.3
  see installed ChangeLog
  2015-09-03  Michael Granger  <ged@FaerieMUD.org>
  * History.rdoc:
  Added recent fix to the History file
  [f12dc2f1ce14] [tip]
  2015-09-01  Lars Kanis  <lars@greiz-reinsdorf.de>
  * lib/pg/text_decoder.rb:
  Add missing require
  [d0ba6a2cb10f]
  * Merge pull request #9 from ramfjord/date-decoder-return-dates
  Date decoder to return real Dates
  [676def89b826]
  2015-06-21  Thomas Ramfjord  <thomas.ramfjord@gmail.com>
  * lib/pg/text_decoder.rb, spec/pg/basic_type_mapping_spec.rb:
  modified TextDecoder::Date to return an actual ruby Date instead of
  a Time
  [c50593d12ba2]
  2015-08-20  Lars Kanis  <lars@greiz-reinsdorf.de>
  * Rakefile:
  Add include for Hoe::MercurialHelpers as a temporary solution for
  the error:
  Packaging tasks require the hoe-mercurial plugin (gem install hoe-
  mercurial)
  [a84f83ff5b31]
  * History.rdoc:
  Update History.rdoc
  [cadfac537e73]
  * Merge branch 'master' of github.com:larskanis/ruby-pg
  [d27d6d5a6545]
  * README.rdoc:
  Add Appveyor status badge to the README.
  [c9637c6efcfb]
  * appveyor.yml:
  Use 9.3 because 9.0, 9.1 and 9.2 segfault in PG.init_openssl
  [158f6649b7b8]
  * spec/pg/connection_spec.rb:
  Skip conn#host test on Windows-x64, because it segfaults, currently.
  [04110aad7fc6]
  * spec/pg/connection_spec.rb:
  libpq on Windows doesn't respect the PGPORT env variable, so we
  accept both.
  [b4b666011f3f]
  * spec/helpers.rb:
  Older versions of PostgreSQL don't have a pid column, so this could
  raise an exception: TypeError: can't convert nil into Integer
  [48f1145fa631]
  * Rakefile.cross:
  Update OpenSSL version for Windows cross build.
  [be6b75fef0ff]
  * appveyor.yml:
  Add CI-tests on appveyor.
  [c2dc9e491853]
  2015-06-29  Lars Kanis  <kanis@comcard.de>
  * History.rdoc:
  Merge branch 'master' of https://github.com/larskanis/ruby-pg
  Conflicts: History.rdoc
  [affb47533d82]
  * History.rdoc, ext/util.c, spec/pg/type_spec.rb:
  Fix data type resulting in wrong base64 encoding.
  [5fb9170f6a7d]
  2015-06-17  Lars Kanis  <lars@greiz-reinsdorf.de>
  * Gemfile, Rakefile, Rakefile.cross:
  Update versions of rake-compiler-dock, OpenSSL and PostgreSQL.
  [10c6b496314c]
  2015-06-12  Lars Kanis  <lars@greiz-reinsdorf.de>
  * Rakefile.cross:
  Update OpenSSL and PostgreSQL versions for cross build.
  [02094cca1cf8]
  2015-06-11  Lars Kanis  <lars@greiz-reinsdorf.de>
  * History.rdoc, README-Windows.rdoc:
  Update README-Windows in regards to rake-compiler-dock.
  [4d9fd821ec1e]
  2015-06-09  Lars Kanis  <kanis@comcard.de>
  * Rakefile.cross:
  Cross build: Ensure ChangeLog file is built on the host side before
  entering the docker container.
  [d32412acff38]
  * Rakefile.cross:
  Cross build: Add workaround for missing symlink support on Windows.
  [52bb3eef00f0]
  * Rakefile.cross:
  Explicitly set the gcc-toolchain, instead of deriving from the rake-
  compiler config.
  Now, that we use the libpq.dll (instead of static linking), we can
  mix the gcc-toolchains. So we better build the dll with the newer
  mingw-w64 toolchain (instead of the old mingw32) and build only the
  extension for ruby-1.9 with the old mingw32-gcc.
  [b3d169fa189b]
  * Merge https://github.com/ged/ruby-pg
  [5aeb99dda0ca]
  2015-05-25  Michael Granger  <ged@FaerieMUD.org>
  * lib/pg/basic_type_mapping.rb:
  Whitespace fixes
  [57cfbc230597]
* Fri May 15 2015 coolo@suse.com
- updated to version 0.18.2
  see installed ChangeLog
  2015-05-14  Michael Granger  <ged@FaerieMUD.org>
  * .rvmrc:
  Bump default rvm Ruby to 2.2
  [128b075d5800] [tip]
  2015-03-13  Lars Kanis  <lars@greiz-reinsdorf.de>
  * ext/pg_text_encoder.c, ext/util.c, ext/util.h:
  Avoid possible symbol name clash when linking againt static libpq.
  This should fix issue #209 .
  [b859963462b2]
  2015-02-11  Lars Kanis  <lars@greiz-reinsdorf.de>
  * ext/pg.c, spec/pg/connection_spec.rb:
  Merge from git branch.
  [b60c89ee93c8]
  * ext/pg.h, ext/pg_text_decoder.c:
  Merge branch 'non-c99-compiler'
  [b111c84b8445]
  2015-02-06  Lars Kanis  <lars@greiz-reinsdorf.de>
  * ext/extconf.rb, ext/pg.h, ext/pg_result.c, ext/pg_text_decoder.c,
  ext/pg_type_map_by_mri_type.c:
  Use fixed size arrays in case the compiler doesn't support C99
  variable length arrays.
  This is notably the MSVC compiler.
  Note: The MSVC build environment is currently not tested on a
  regular base, so is not fully supported.
  [1269b8ad77b8]
  2015-02-11  Lars Kanis  <lars@greiz-reinsdorf.de>
  * ext/pg_connection.c:
  Replace quote_ident implementation with that of
  PG::TextEncoder::Identifier .
  This allowes quoation of array of strings in addition to plain
  strings and removes duplicated code.
  It also removes the 63 byte limitation and therefore obsolets pull
  request #21 https://bitbucket.org/ged/ruby-pg/pull-request/21
  [714601d05fba]
  * ext/pg.c, ext/pg.h, ext/pg_text_decoder.c, ext/pg_text_encoder.c,
  spec/pg/connection_spec.rb, spec/pg/type_spec.rb:
  Derive PG::TextDecoder::Identifier from PG::SimpleDecoder instead of
  CompositeDecoder
  .. and equally for Encoder.
  Identifiers are strings, so there is no good reason to compose it
  from other element types. This change allows a faster quoting
  implementation.
  [df67241d1a4f]
  2015-02-03  Michael Granger  <ged@FaerieMUD.org>
  * README.rdoc, ext/pg.c:
  Update copyright notices
  [447962e0dcba] [github/master]
  * spec/pg/connection_spec.rb:
  Whitespace fixes
  [f4a85f78807d]
  2014-08-22  Chris Bandy  <bandy.chris@gmail.com>
  * lib/pg/connection.rb, spec/pg/connection_spec.rb:
  Allow URI connection string
  (Imported from https://github.com/ged/ruby-pg/pull/3)
  [d4579ef9eae4]
  2015-01-27  Lars Kanis  <lars@greiz-reinsdorf.de>
  * lib/pg/text_decoder.rb, spec/pg/type_spec.rb:
  Fix decoding of fractional timezones like "-00:25:21".
  [766aa353b392]
  2015-01-27  Lars Kanis  <kanis@comcard.de>
  * History.rdoc, lib/pg/text_decoder.rb, spec/pg/type_spec.rb:
  Fix decoding of fractional timezones like "04:30".
  This fixes https://bitbucket.org/ged/ruby-pg/issue/203 .
  [33225805259c]
  2015-01-16  Lars Kanis  <kanis@comcard.de>
  * History.rdoc, ext/extconf.rb, ext/pg_connection.c,
  spec/pg/connection_spec.rb:
  Revert "Add PG::Connection#hostaddr. This is new in PostgreSQL-9.4."
  PQhostaddr was removed from final PostgreSQL-9.4.0.
  This fixes issue #202 :https://bitbucket.org/ged/ruby-pg/issue/202
  This reverts commit 03deab7aa63f9a00984014ce59617d552b4eac34.
  [b51d736bca77]
  * History.rdoc:
  Add a missing enhancement for pg-0.18.0
  [a7635c3425f3]
  * .travis.yml:
  Update ruby and postgresql versions for travic-ci
  [b67b92f7db97]
  2015-01-06  Lars Kanis  <kanis@comcard.de>
  * Merge from git.
  [625e9359ac47]
  2015-01-05  Lars Kanis  <kanis@comcard.de>
  * ext/pg_type_map_in_ruby.c:
  Use a simpler fix for https://bitbucket.org/ged/ruby-
  pg/commits/a38cf53a96f
  [3d89d3aae4fd]
  2015-01-05  Michael Granger  <ged@FaerieMUD.org>
  * .hgtags:
  Added tag v0.18.1 for changeset f97dd6cb4f34
  [f8122014065a]
  * .hgsigs:
  Added signature for changeset ba5aff64b5cb
  [f97dd6cb4f34] [v0.18.1]
  * History.rdoc, lib/pg.rb:
  Bump the patch version, update history
  [ba5aff64b5cb]
  * Rakefile:
  Fix the minimum Ruby version (closes #199)
  [69422cc8dc45]
  2015-01-03  Michael Granger  <ged@FaerieMUD.org>
  * .hgtags:
  Added tag v0.18.0 for changeset cfb2bfc0f661
  [8aff3973f2d2]
  * .hgsigs:
  Added signature for changeset c519766e3ec9
  [cfb2bfc0f661] [v0.18.0]
  * History.rdoc:
  Update the History
  [c519766e3ec9]
  * Manifest.txt:
  Keep the manifest sorted so it can be diffed.
  [d7cdbfd1b516]
  * Rakefile:
  Add a Rake task for generating the gemspec
  [ec6d6ce61a15]
* Fri Feb  6 2015 coolo@suse.com
- updated to version 0.18.1, huge Changelog
* Thu Nov 13 2014 dmueller@suse.com
- add rubygem-pg-0.17.1_shebang.patch
* Wed Nov 12 2014 tboerger@suse.com
- Added rubygem-pg-rpmlintrc to sources list
* Wed Nov 12 2014 tboerger@suse.com
- Fixed licenses related to the upstream source code
* Mon Nov 10 2014 tboerger@suse.com
- Added new ruby macros
* Thu Jul 31 2014 dimstar@opensuse.org
- Rename rpmlintrc to %%{name}-rpmlintrc.
  Follow the packaging guidelines.
* Mon Mar  3 2014 kkaempf@suse.com
- add rpmlintrc
* Thu Feb 13 2014 coolo@suse.com
- use new macros
* Fri Dec 20 2013 coolo@suse.com
- updated to version 0.17.1
  Bugfixes:
  - Fix compatibility with signal handlers defined in Ruby. This reverts
  cancelation of queries running on top of the blocking libpq API (like
  Connection#exec) in case of signals. As an alternative the #async_exec
  can be used, which is reverted to use the non-blocking API, again.
  - Wrap PQcancel to be called without GVL. It internally waits for
  the canceling connection.
  Documentation fixes:
  - Fix documentation for PG::Connection::conndefaults.
* Mon Sep 23 2013 coolo@suse.com
- updated to version 0.17.0, see Changelog
* Wed Jul 31 2013 coolo@suse.com
- updated to version 0.16.0
* Sat May 25 2013 coolo@suse.com
- updated to version 0.15.1
* Wed Dec  5 2012 coolo@suse.com
- updated to version 0.14.1
* Thu Feb 16 2012 saschpe@suse.de
- Added detail about last version update
- Ran spec-cleaner
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Thu Aug  4 2011 fcastelli@novell.com
- update to version 0.11.0
  * Move connection-parameter parsing into Ruby
  * Automated merge with ssh://bitbucket.org/larskanis/ruby-pg
  * Update cross compilation tasks to use Ruby 1.8.7 instead of 1.8.6
  * Update readme for cross compile
  * Use RUBY_CC_VERSION from command line, if set
  * update PG and OpenSSL version for cross compile
  * always run "make libpq.a" for cross compilation
  * re-add required libs for cross compilation
* Wed Feb 23 2011 mrueckert@suse.de
- update to version 0.10.1
  - Add an include guard for pg.h
  - Simplify the common case require of the ext
  - Include the extconf header
  - Experimenting with a greatly-simplified extconf, since the
    complex one isn't solving any problems
  - Fixing compatibility with versions of PostgreSQL without
    PQgetCancel. (fixes #36)
  - Fix require for natively-compiled extension under Windows.
    (fixes #55)
  - Change rb_yield_splat() to rb_yield_values() for compatibility
    with Rubinius. (fixes #54)
- for the changes from 0.10.0 see
  /usr/lib*/ruby/gems/1.8/gems/pg-0.10.1/ChangeLog
- split out doc and testsuite package
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 0.9.0
  - Adding "fat gem" compatible loader, set the default
    RUBY_CC_VERSION.
  - Updated the Rakefile so it includes itself in gems. (closes
    [#15]) Thanks to flameeyes@bitbucket for
  - Applied patch for PGconn#async_exec to make it have the same
    semantics as PGconn#exec (closes #19). Thanks again to Lars
    Kanis for the patch.
  - Updated the Rakefile to always default the package version even
    if a version can't be read from the VERSION_FILE.
  - Improving spec database setup function (closes #18). Thanks to
    Lars Kanis for another fine patch.
  - Adding a test to ensure the result encoding remains the same
    even when client_encoding in the connection changes.
  - Made the 'make_header' in the extconf more clear.
  - Work around broken rb_thread_select() on win32; thanks to Lars
    Kanis for the patch!
  - Reverted removal of PGresult::InvalidOid, fixed broken spec.
  - Ignore some generated files, documentation work, removed type
    OID constants.
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Mon Dec 21 2009 prusnak@suse.cz
- updated to 0.8.0
* Thu Apr 17 2008 mrueckert@suse.de
- rename the package from rubygem-ruby-postgres to rubygem-pg
- update to 0.7.9.2008.03.18:
  - many bugfixes
* Thu Oct 19 2006 mrueckert@suse.de
- use gem_build_cleanup
* Mon Jul  3 2006 mrueckert@suse.de
- workaround a bug in the gem install:
  explicitly call "make" again. gem seems to call "make clean"
  which deletes the library.
* Tue Jun 20 2006 mrueckert@suse.de
- use rubygems_with_buildroot_patch instead of the versioned
  buildrequires
* Mon Jun 19 2006 mrueckert@suse.de
- removed build files
* Mon Jun 19 2006 mrueckert@suse.de
- Initial package version 0.7.1.2006.04.06
